## ann 1.1.2%2Bdoc

=== debian/changelog ===
ann (1.1.2+doc-9+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 10 Jul 2023 04:41:46 +0800

ann (1.1.2+doc-9) unstable; urgency=medium

  * add an annself_exclude namespace for cctbx

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 13 Oct 2022 16:29:12 +0200

ann (1.1.2+doc-8) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * d/patches:
    + unapply all patches and restore a clean untouched sources directory
    + Added patch for the cctbx variant
  * d/cctbx: Script which generate the cctbx variant from the ann sources.
  * d/control: Added B-D python3 used by d/cctbx
  * d/control: Added libann-cctbx-dev and libann-cctbx0 packages.
    these packages are variant used internaly by cctbx
  * d/control: Added myself has Uploaders

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 08 Sep 2022 16:56:02 +0200

ann (1.1.2+doc-7) unstable; urgency=medium

  * Import and merge upstream sources + patches to the package git repo.
  * Convert to dh, use multiarch paths.
  * control: Upgrade debian/compat to 11, Standards-Version to 4.1.3.
  * control: Adjust build-deps (closes: #865148).
  * control: Point Vcs-fields to salsa.
  * Fix inf-loop on clean and realclean targets on upstream Makefile.
  * New patch: makefile-infloop-fix.diff.
  * Do not remove figures on doc/Makefile clean target.
  * New patch: doc-makefile-clean.diff.
  * watch: Use https URL for upstream.
  * copyright: Fix LGPL name, https URL, update years.
  * control: cme fix.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 05 Apr 2018 14:32:43 +0200

ann (1.1.2+doc-6) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Support DEB_BUILD_OPTIONS=nocheck.  Closes: #846833

  [ Lucas Kanashiro ]
  * Fix autopkgtests.  Closes: #768107

  [ Mattia Rizzolo ]
  * d/control: use HTTPS in Vcs-* fields.
  * d/control: drop now useless XS-Testsuite:autopkgtest field.
  * Drop explicit usage of quilt, this is a 3.0 (quilt) source.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 03 Dec 2016 18:41:20 +0100

ann (1.1.2+doc-5) unstable; urgency=medium

  * Team upload.

  [ Xilin Sun ]
  * [2bc9862] Fix ftbfs with GCC-4.9. (Closes: #746827)

  [ Arthur Marble ]
  * [89aea62] Fix FTBFS with clang. (Closes: #748817)

  [ Anton Gladky ]
  * [3b71f14] Add autopkgtest.
  * [bdf7dcf] Set Standards-Version: 3.9.5, no changes.
  * [e874105] Remove symbols-file

 -- Anton Gladky <gladk@debian.org>  Sat, 31 May 2014 16:11:45 +0200

ann (1.1.2+doc-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741717)

 -- Eric Dorland <eric@debian.org>  Sat, 22 Mar 2014 14:07:24 -0400

ann (1.1.2+doc-4) unstable; urgency=low

  [ Teemu Ikonen ]
  * libann0.symbols: Mark ANNorthRect destructor symbols as optional
    (closes: #701242).
  * copyright: Rewrite in machine readable format.
  * control:
    - Update to standards-version 3.9.4
    - Add myself (tpikonen) to uploaders

  [ Anton Gladky ]
  * Use canonical VCS-field.

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 02 Oct 2013 18:06:17 +0200

ann (1.1.2+doc-3) unstable; urgency=low

  * Team upload.
  * Fix the FTBFS (symbol missing). Thanks to Peter Green for the patch.
    (Closes: #651571)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 19:56:20 +0100

ann (1.1.2+doc-2) unstable; urgency=low

  * Disable some symbols under armel (Closes: #645743)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Oct 2011 00:02:19 +0200

ann (1.1.2+doc-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Standards-Version updated to version 3.9.2
  * Make one symbol optional, missing on ARM when built with GCC-4.6. (Thanks
    to Matthias Klose) (Closes: #643605)
  * Package moved to Debian Science
  * Switch to dpkg-source 3.0 (quilt) format
  * Fix a typo in the description (Closes: #608649)
  * Uploader list updated (Closes: #571894)
  * Update of the doc about -lANN (Closes: #607949)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Oct 2011 00:23:59 +0200

ann (1.1.1+doc-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/watch: Call debian/get-orig-source.sh through /bin/sh.  The
    diff cannot represent the executable permission.

  [ Rafael Laboissiere ]
  * debian/control:
    + Change maintainer to the Debian Scientific Computing Team and put my
      name in the Uploaders list.
    + The Debian packaging files are now maintained through a Git
      repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
      accordingly.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 23 Mar 2009 17:17:23 +0100

ann (1.1.1+doc-1) unstable; urgency=low

  * Initial release (closes: #505487)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Mar 2009 23:21:56 +0100
