=== debian/control ===
Source: ann
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Teemu Ikonen <tpikonen@gmail.com>,
Section: libs
Priority: optional
Build-Depends:
 autoconf,
 autoconf-archive,
 automake,
 debhelper-compat (= 13),
 libtool,
 python3,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/ann
Vcs-Git: https://salsa.debian.org/science-team/ann.git
Homepage: https://www.cs.umd.edu/~mount/ANN/

Package: libann-dev
Architecture: any
Section: libdevel
Depends:
 libann0 (= ${binary:Version}),
 ${misc:Depends},
Description: Approximate Nearest Neighbor Searching library (development files)
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.
 .
 This package contains the header files for developing applications
 with the ANN library.

Package: libann0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Approximate Nearest Neighbor Searching library
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.

Package: ann-tools
Architecture: any
Section: math
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Approximate Nearest Neighbor Searching library (tools)
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.
 .
 This package contains the ann2fig (display ANN output in fig format)
 and the ann_sample (a sample demonstration for ANN) programs.

Package: libann-cctbx-dev
Architecture: any
Section: libdevel
Depends:
 libann-cctbx0 (= ${binary:Version}),
 ${misc:Depends},
Description: Approximate Nearest Neighbor Searching library (cctbx development files)
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.
 .
 This package contains the header files for developing applications
 with the ANN library cctbx variant.

Package: libann-cctbx0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Approximate Nearest Neighbor Searching library (cctbx variant)
 ANN is a library written in C++, which supports data structures and
 algorithms for both exact and approximate nearest neighbor searching
 in arbitrarily high dimensions.  ANN assumes that distances
 are measured using any class of distance functions called Minkowski
 metrics. These include the well known Euclidean distance, Manhattan
 distance, and max distance. ANN performs quite efficiently for point
 sets ranging in size from thousands to hundreds of thousands, and in
 dimensions as high as 20.
