=== debian/tests/control ===
Tests: build1 build2
Depends:
 build-essential,
 libann-dev,
