=== debian/watch ===
version=3
opts=dversionmangle=s/\+doc$//						\
https://www.cs.umd.edu/~mount/ANN/ Files/[\d.]+/ann_([\d.]+)\.tar\.gz	\
	debian /bin/sh debian/get-orig-source.sh
